Bug 215255 - yum-versionlock abortion
yum-versionlock abortion
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-12 18:26 EST by P.West
Modified: 2014-01-21 17:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 11:20:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description P.West 2006-11-12 18:26:01 EST
Description of problem:
After the installation of yum-versionlock and the right configuration which
means activating it as well as creating the "versionlock.list" and filling it
with the packets that should be ignored I run "yum update" and yum aborts with
the following lines.

# yum update
Loading "allowdowngrade" plugin
Loading "installonlyn" plugin
Loading "versionlock" plugin
Loading "fastestmirror" plugin
Setting up Update Process
Setting up repositories
livna                     100% |=========================| 1.1 kB    00:00     
core                      100% |=========================| 1.1 kB    00:00     
updates                   100% |=========================| 1.2 kB    00:00     
extras                    100% |=========================| 1.1 kB    00:00     
Loading mirror speeds from cached hostfile
Reading repository metadata in from local files
Reading version lock configuration
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 102, in main
    result, resultmsgs = do()
  File "/usr/share/yum-cli/cli.py", line 359, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd,
self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 150, in doCommand
    return base.updatePkgs(extcmds)
  File "/usr/share/yum-cli/cli.py", line 628, in updatePkgs
    self.doRepoSetup()
  File "/usr/share/yum-cli/cli.py", line 107, in doRepoSetup
    self.doSackSetup(thisrepo=thisrepo)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 339, in doSackSetup
    self.plugins.run('exclude')
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 153, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/versionlock.py", line 52, in exclude_hook
    (n, e, v, r, a) = pkg.returnNevraTuple()
AttributeError: YumAvailablePackageSqlite instance has no attribute
'returnNevraTuple'


Version-Release number of selected component (if applicable):
# rpm -qa yum-versionlock yum
yum-3.0-6
yum-versionlock-1.0.1-1.fc6


How reproducible:


Steps to Reproduce:
1. install and configure yum-versionlock 
2. exclude pakages to update
3.
  

Actual results:
It aborts with the above shown error message.

Expected results:
to use the function of the plugin

Additional info:
Comment 1 Seth Vidal 2006-11-13 11:20:27 EST
fixed in upstream

Note You need to log in before you can comment on or make changes to this bug.